Subject: Re: [PATCH 3/3] gnu: telegram-desktop: Update to version 5.12.3

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 16 Mar 2025 22:40:12 +0100

Am Sonntag, dem 16.03.2025 um 21:45 +0100 schrieb Arseniy Zaostrovnykh:
>  * gnu/packages/telegram.scm (%telegram-version): Update to 5.12.3
Missing period.
>       (cmake-helpers-for-telegram-desktop): update to revision used
> by v5.12.3
>           Remove the obsolete patch (the PR was merged in this
> revision)
Don't pointlessly indent stuff in the ChangeLog.

Instead of repeating yourself, write something like "Adjust
accordingly."  You can then use "Likewise." for all the ones below
this.

Do explicitly name the patches that get added/removed.

>       (codegen-for-telegram-desktop): update to revision used by
> v5.12.3
>       (lib-base-for-telegram-desktop): update to revision used by
> v5.12.3
>       (lib-lottie-for-telegram-desktop): update to revision used by
> v5.12.3
>       (lib-rpl-for-telegram-desktop): update to revision used by
> v5.12.3
>       (lib-spellcheck-for-telegram-desktop): update to revision used
> by v5.12.3
>       (lib-tl-for-telegram-desktop): Apply a patch to fix gcc-11
>          compilation error
>       (lib-ui-for-telegram-desktop): update to revision used by
> v5.12.3
>       (lib-webrtc-for-telegram-desktop): update to revision used by
> v5.12.3
>       (telegram-desktop): Update to v5.12.3; apply patches to make it
> compile
>  * gnu/packages/patches/telegram-desktop-unbundle-gsl.patch: removed
>       no longer needed in the new revision
>  * gnu/packages/patches/lib-tl-for-telegram-memcpy.patch:
>       new file. patch to fix a compilation error
>  * gnu/packages/patches/telegram-desktop-hashmap-incomplete-
> value.patch:
>       new file. patch to fix a compilation error
>  * gnu/packages/patches/telegram-desktop-qguiapp.patch:
>       new file. patch to fix a compilation error
I don't see these added to gnu/local.mk.  That is an issue.

As for formatting the ChangeLog, please check out `git log'.  In
particular, always capitalise the first word after the colon.

Cheers